libetonyek::IWORKBinaryElement Class Reference

`#include <IWORKBinaryElement.h>`

Inheritance diagram for libetonyek::IWORKBinaryElement:

## Public Member Functions
| IWORKBinaryElement (IWORKXMLParserState &state, IWORKMediaContentPtr_t &value)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
IWORKMediaContentPtr_t & | m_value
boost::optional< IWORKSize > | m_size
IWORKDataPtr_t | m_data
boost::optional< IWORKColor > | m_fillColor

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKBinaryElement()

libetonyek::IWORKBinaryElement::IWORKBinaryElement | ( | IWORKXMLParserState & | state,
|  | IWORKMediaContentPtr_t & | value )

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKBinaryElement::element | ( | int | name | ) |
| override private virtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKBinaryElement::endOfElement | ( |  | ) |
| override private virtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_data

IWORKDataPtr_t libetonyek::IWORKBinaryElement::m_data
| private

Referenced by element(), endOfElement(), and IWORKBinaryElement().

## ◆ m_fillColor

boost::optional<IWORKColor> libetonyek::IWORKBinaryElement::m_fillColor
| private

Referenced by element(), endOfElement(), and IWORKBinaryElement().

## ◆ m_size

boost::optional<IWORKSize> libetonyek::IWORKBinaryElement::m_size
| private

Referenced by element(), endOfElement(), and IWORKBinaryElement().

## ◆ m_value

IWORKMediaContentPtr_t& libetonyek::IWORKBinaryElement::m_value
| private

Referenced by endOfElement(), and IWORKBinaryElement().

The documentation for this class was generated from the following files:

- IWORKBinaryElement.h
- IWORKBinaryElement.cpp